## org.eclipse.amp.amf.acore.edit.commands.test
Class ModelActsCommandTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.metaabm.tests.BasePersistTest
                  org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
                      org.eclipse.amp.amf.acore.edit.commands.test.ModelActsCommandTest

All Implemented Interfaces:
  junit.framework.Test

    public class ModelActsCommandTest

extends CommandTest

Field Summary

Fields inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`execOnly, funcAdd, funcEq, funcLog, funcNot, funcNum, lib, library, trace`

Fields inherited from class org.metaabm.tests.BasePersistTest
`doPersist, f, fa, path, persistContext, persistName, redoPersist, referenceCommand, referenceContext, referencePersist, testCommand, testContext, testPersist, undoPersist`

Constructor Summary
`ModelActsCommandTest(java.lang.String name)`

Method Summary
`static void` `addInputs(java.util.List<CommandTransformer> cmds)`
`static void` `buildActs(java.util.List<CommandTransformer> cmds)`
`protected static java.lang.String` `getAgentRuleID()`
`protected static java.lang.String` `getRuleID()`
`protected static java.lang.String` `getScheduleID()`
`void` `testAddActs()`
`void` `testAgentSinkDeleteAgentTargetRule()`
`void` `testAgentSinkInputsRemoveAgent()`
`void` `testAgentSinkInputsRemoveAgentAttr()`
`void` `testAgentSinkInputsRemoveAgentMemberRule()`
`void` `testAgentSinkInputsRemoveAgentTargetRule()`
`void` `testAgentSinkInputsRemoveContextAttr()`
`void` `testAllAnyNone()`
`void` `testLiterals()`
`void` `testRemoveActs()`
`void` `testRemoveSetAct()`
`void` `testRemoveSetAttribute()`
`void` `testRenameSetAttributes()`
`void` `testSchedule()`
`void` `testSelectChain()`
`void` `testSelectMove()`
`void` `testSimpleActs()`
`void` `testSimpleSinkInputs()`
`void` `testSinkInputs()`
`void` `testSinkLabels()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTest
`assertEqualNull, execTransform, executeTests, getAdapterFactory, getDomain, isUndo, setAdapterFactory, setDomain, setUp, tearDown`

Methods inherited from class org.metaabm.tests.BasePersistTest
`checkPersist, execTransform, redoTransform, undoTransform`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelActsCommandTest

    public ModelActsCommandTest(java.lang.String name)

Method Detail

### testAddActs

    public void testAddActs()

### testSimpleSinkInputs

    public void testSimpleSinkInputs()

### testSinkInputs

    public void testSinkInputs()

### testAgentSinkInputsRemoveAgentAttr

    public void testAgentSinkInputsRemoveAgentAttr()

### testAgentSinkInputsRemoveContextAttr

    public void testAgentSinkInputsRemoveContextAttr()

### testAgentSinkInputsRemoveAgentTargetRule

    public void testAgentSinkInputsRemoveAgentTargetRule()

### testAgentSinkDeleteAgentTargetRule

    public void testAgentSinkDeleteAgentTargetRule()

### testAgentSinkInputsRemoveAgentMemberRule

    public void testAgentSinkInputsRemoveAgentMemberRule()

### testAgentSinkInputsRemoveAgent

    public void testAgentSinkInputsRemoveAgent()

### addInputs

    public static void addInputs(java.util.List<CommandTransformer> cmds)

### testSinkLabels

    public void testSinkLabels()

### testSchedule

    public void testSchedule()

### testAllAnyNone

    public void testAllAnyNone()

### testRenameSetAttributes

    public void testRenameSetAttributes()

### testSimpleActs

    public void testSimpleActs()

### testRemoveActs

    public void testRemoveActs()

### testLiterals

    public void testLiterals()

### buildActs

    public static void buildActs(java.util.List<CommandTransformer> cmds)

### testRemoveSetAttribute

    public void testRemoveSetAttribute()

### testRemoveSetAct

    public void testRemoveSetAct()

### testSelectChain

    public void testSelectChain()

### testSelectMove

    public void testSelectMove()

### getRuleID

    protected static java.lang.String getRuleID()

### getScheduleID

    protected static java.lang.String getScheduleID()

### getAgentRuleID

    protected static java.lang.String getAgentRuleID()